package w83b.w83bBeans;

import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import org.apache.commons.lang.StringUtils;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bActasBD;
import w83b.w83bDAO.w83bConstantesBD.W83bActasVistaBD;
import w83b.w83bDAO.w83bConstantesBD.W83bCentroTrabajoBD;
import w83b.w83bDAO.w83bConstantesBD.W83bCentroTrabajoVistaBD;
import w83b.w83bDAO.w83bConstantesBD.W83bEscrutiniosBD;
import w83b.w83bDAO.w83bConstantesBD.W83bImpugnacionesBD;
import w83b.w83bDAO.w83bConstantesBD.W83bResultadosBD;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesi18n;

/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83bActasBean extends W83bBaseBean implements W83bBaseBeanBD,Cloneable{
	private static final long	serialVersionUID	= 1L;
	private String idActaTabla="";
	public String getIdActaTabla() {
		return idActaTabla;
	}

	public void setIdActaTabla(String idActaTabla) {
		this.idActaTabla = idActaTabla;
	}

	private String pestana="";
	private String pestanasModificadas="";
	public String getPestanasModificadas() {
		return pestanasModificadas;
	}

	public void setPestanasModificadas(String pestanasModificadas) {
		this.pestanasModificadas = pestanasModificadas;
	}

	private String	numActaTerritorioDesde = "";
	private String	numActaAnyoDesde = "";
	private String	numActaNumeroDesde = "";	
	private String	numActaTerritorioHasta = "";
	private String	numActaAnyoHasta = "";
	private String	numActaNumeroHasta = "";	
	private String	numRegTerritorioDesde = "";
	private String	numRegAnyo = "";
	private String	numRegAnyoDesde = "";
	private String	numRegNumeroDesde = "";
	private String	numRegTerritorioHasta = "";
	private String	numRegAnyoHasta = "";
	private String	numRegNumeroHasta = "";
	private String	sinRegDefinitivo = "";	
	private String	numPreaviso = "";
	private String	territorioPreaviso = "";
	private String	anyoPreaviso = "";
		private String	fechaEntrada="";
	private String	fechaEntradaDel = "";
	private String	fechaEntradaHasta = "";	
	private String	fechaComision="";
	private String	fechaComisionDel = "";
	private String	fechaComisionHasta = "";
	private String	sinFechaComision = "";	
	private String	fechaEleccion="";
	private String	fechaEleccionDel = "";
	private String	fechaEleccionHasta = "";	
	private String	fechaBajaDel = "";
	private String	fechaBaja = "";
	private String	fechaBajaHasta = "";	
	private String	numTrabajadoresDesde = "";
	private String	numTrabajadoresHasta = "";
	private String	numElectoresDesde = "";
	private String	numElectoresHasta = "";		
	private String	fechaTramiteDel = "";
	private String	fechaTramiteHasta = "";	
	private String	fechaRegistroES="";
	private String	fechaRequerimiento="";
	private String	fechaSubsanacionRequermiento="";
	private String	fechaRetiradaComunicacion="";
	private String	fprri="";
	private String	fechaRegistroDefinitivo="";
	private String  fecha_registroAdjunto="";	
	private String	motivoBaja = "";
	private String	motivoBajaTxt = "";
	private String	convenio = "";
	private String	convenioTxt = "";
	private String	inspecciones = "";
	private String	tipoActa = "";
	private String	tramite = "";
	private String	tramiteTxt = "";
	private String	ultTramite = "";
	private String	fase = "";
	private String	faseTxt = "";	
	private String	numActaTotal = "";
	private String	anyoActaTotal = "";
	private String	territorioActaTotal = "";
	private String	codConvenio = "";
	private String	codCif = "";
	private String	cif = "";
	private String	regSocial = "";
	private String	numRegDefinitivo="";
	private String	fecRegDefinitivo="";	
	private String	inspeccionada = "";	
	private String	numRegistroES="";
	private String	remitente="";	
	private String	comision="";	
	private String	trabajadoresHombres="";
	private String	trabajadoresMujeres="";
	private String	trabajadoresTotal="";
	private String	electoresHombres="";
	private String	electoresMujeres="";
	private String	electoresTotal="";
	private String	candidatosHombres="";
	private String	candidatosMujeres="";
	private String	candidatosTotal="";
	private String	delegadosColegio="";
	private String	delegadosTotal="";
	private String	delegadosMaximo="";
	private String	delegadosHombres="";
	private String	delegadosMujeres="";
	private String	totalDelegadosDelegado="";
	private String	totalDelegadosDelegadoH="";
	private String	totalDelegadosDelegadoM="";
	private String codCentroTrabajo="";
	private W83bCentroTrabajoBean centroTrabajo = new W83bCentroTrabajoBean();	
	private String  numActa = "";
	private String  numActaTerritorio = "";
	private String  numActaAno = "";
	private String  numRegistro = "";
	private String  numTrabajadores = "";
	private String  baja = "";	
	private W83bColegiosBean colegios=new W83bColegiosBean();
	private String idColegio="";
	private String idSindicato="";
	private W83bDatosEscrutiniosBean datosEscrutinio=new W83bDatosEscrutiniosBean();
	private W83bDatosDiferenciasBean datosDiferencia=new W83bDatosDiferenciasBean();
	private List delegadosEscrDif;
	private HashMap listaDelegados=new HashMap();
	private HashMap listaEscrutinios=new HashMap();
	private HashMap listaDiferencias=new HashMap();
	private HashMap listaSindicatos=new HashMap();
	private List listaDocs;
	private List listaActasParciales;
	private List listaImpugnaciones;
	private List listaHistorial;
	private List listaTramitacion;
	private List listaIncidencias;
	private String tdocumento="";
	private String usuario="";
	private String observaciones="";
	private String version="";
	private String validada="";	
	private String razonSocial="";
	private String domicilio="";
	private String numImpug="";
	private String agnoImpug="";
	private String fechaImpug="";	
	private String delHombres1="";
	private String delHombres2="";
	private String delMujeres1="";
	private String delMujeres2="";	
	private String delegacionAutomatica="";
	private String duplicada="";
	private String codSelec="";
	private String nueva="";
	
	private String anyoReg="";
	private String codTerritorioActa="";
	
	private List listaSindicatosExcel;
	private String actaparcial;
	public List getListaDocs() {
		if (this.listaDocs==null)
		{
			this.listaDocs=new ArrayList();
		}
		return listaDocs;
	}
		
	
		
	public String getNueva() {
		return nueva;
	}

	public void setNueva(String nueva) {
		this.nueva = nueva;
	}
	
	public W83bActasBean(W83bActasBean acta) {
		super();
		this.idActaTabla = acta.idActaTabla;
		this.pestana = acta.pestana;
		this.pestanasModificadas = acta.pestanasModificadas;
		this.numActaTerritorioDesde = acta.numActaTerritorioDesde;
		this.numActaAnyoDesde = acta.numActaAnyoDesde;
		this.numActaNumeroDesde = acta.numActaNumeroDesde;
		this.numActaTerritorioHasta = acta.numActaTerritorioHasta;
		this.numActaAnyoHasta = acta.numActaAnyoHasta;
		this.numActaNumeroHasta = acta.numActaNumeroHasta;
		this.numRegTerritorioDesde = acta.numRegTerritorioDesde;
		this.numRegAnyo = acta.numRegAnyo;
		this.numRegAnyoDesde = acta.numRegAnyoDesde;
		this.numRegNumeroDesde = acta.numRegNumeroDesde;
		this.numRegTerritorioHasta = acta.numRegTerritorioHasta;
		this.numRegAnyoHasta = acta.numRegAnyoHasta;
		this.numRegNumeroHasta = acta.numRegNumeroHasta;
		this.sinRegDefinitivo = acta.sinRegDefinitivo;
		this.numPreaviso = acta.numPreaviso;
		this.territorioPreaviso = acta.territorioPreaviso;
		this.anyoPreaviso = acta.anyoPreaviso;
		this.fechaEntrada = acta.fechaEntrada;
		this.fechaEntradaDel = acta.fechaEntradaDel;
		this.fechaEntradaHasta = acta.fechaEntradaHasta;
		this.fechaComision = acta.fechaComision;
		this.fechaComisionDel = acta.fechaComisionDel;
		this.fechaComisionHasta = acta.fechaComisionHasta;
		this.sinFechaComision = acta.sinFechaComision;
		this.fechaEleccion = acta.fechaEleccion;
		this.fechaEleccionDel = acta.fechaEleccionDel;
		this.fechaEleccionHasta = acta.fechaEleccionHasta;
		this.fechaBajaDel = acta.fechaBajaDel;
		this.fechaBaja = acta.fechaBaja;
		this.fechaBajaHasta = acta.fechaBajaHasta;
		this.numTrabajadoresDesde = acta.numTrabajadoresDesde;
		this.numTrabajadoresHasta = acta.numTrabajadoresHasta;
		this.numElectoresDesde = acta.numElectoresDesde;
		this.numElectoresHasta = acta.numElectoresHasta;
		this.fechaTramiteDel = acta.fechaTramiteDel;
		this.fechaTramiteHasta = acta.fechaTramiteHasta;
		this.fechaRegistroES = acta.fechaRegistroES;
		this.fechaRequerimiento = acta.fechaRequerimiento;
		this.fechaSubsanacionRequermiento = acta.fechaSubsanacionRequermiento;
		this.fechaRetiradaComunicacion = acta.fechaRetiradaComunicacion;
		this.fprri = acta.fprri;
		this.fechaRegistroDefinitivo = acta.fechaRegistroDefinitivo;
		this.fecha_registroAdjunto = acta.fecha_registroAdjunto;
		this.motivoBaja = acta.motivoBaja;
		this.motivoBajaTxt = acta.motivoBajaTxt;
		this.convenio = acta.convenio;
		this.convenioTxt = acta.convenioTxt;
		this.inspecciones = acta.inspecciones;
		this.tipoActa = acta.tipoActa;
		this.tramite = acta.tramite;
		this.tramiteTxt = acta.tramiteTxt;
		this.ultTramite = acta.ultTramite;
		this.fase = acta.fase;
		this.faseTxt = acta.faseTxt;
		this.numActaTotal = acta.numActaTotal;
		this.anyoActaTotal = acta.anyoActaTotal;
		this.territorioActaTotal = acta.territorioActaTotal;
		this.codConvenio = acta.codConvenio;
		this.codCif = acta.codCif;
		this.cif = acta.cif;
		this.regSocial = acta.regSocial;
		this.numRegDefinitivo = acta.numRegDefinitivo;
		this.fecRegDefinitivo = acta.fecRegDefinitivo;
		this.inspeccionada = acta.inspeccionada;
		this.numRegistroES = acta.numRegistroES;
		this.remitente = acta.remitente;
		this.comision = acta.comision;
		this.trabajadoresHombres = acta.trabajadoresHombres;
		this.trabajadoresMujeres = acta.trabajadoresMujeres;
		this.trabajadoresTotal = acta.trabajadoresTotal;
		this.electoresHombres = acta.electoresHombres;
		this.electoresMujeres = acta.electoresMujeres;
		this.electoresTotal = acta.electoresTotal;
		this.candidatosHombres = acta.candidatosHombres;
		this.candidatosMujeres = acta.candidatosMujeres;
		this.candidatosTotal = acta.candidatosTotal;
		this.delegadosColegio = acta.delegadosColegio;
		this.delegadosTotal = acta.delegadosTotal;
		this.delegadosMaximo = acta.delegadosMaximo;
		this.delegadosHombres = acta.delegadosHombres;
		this.delegadosMujeres = acta.delegadosMujeres;
		this.totalDelegadosDelegado = acta.totalDelegadosDelegado;
		this.totalDelegadosDelegadoH = acta.totalDelegadosDelegadoH;
		this.totalDelegadosDelegadoM = acta.totalDelegadosDelegadoM;
		this.codCentroTrabajo = acta.codCentroTrabajo;
		this.centroTrabajo = acta.centroTrabajo;
		this.numActa = acta.numActa;
		this.numActaTerritorio = acta.numActaTerritorio;
		this.numActaAno = acta.numActaAno;
		this.numRegistro = acta.numRegistro;
		this.numTrabajadores = acta.numTrabajadores;
		this.baja = acta.baja;
		this.colegios = acta.colegios;
		this.idColegio = acta.idColegio;
		this.idSindicato = acta.idSindicato;
		this.datosEscrutinio = acta.datosEscrutinio;
		this.datosDiferencia = acta.datosDiferencia;
		this.delegadosEscrDif = acta.delegadosEscrDif;
		this.listaDelegados = acta.listaDelegados;
		this.listaEscrutinios = acta.listaEscrutinios;
		this.listaDiferencias = acta.listaDiferencias;
		this.listaSindicatos = acta.listaSindicatos;
		this.listaDocs = acta.listaDocs;
		this.listaActasParciales = acta.listaActasParciales;
		this.listaImpugnaciones = acta.listaImpugnaciones;
		this.listaHistorial = acta.listaHistorial;
		this.listaTramitacion = acta.listaTramitacion;
		this.listaIncidencias = acta.listaIncidencias;
		this.tdocumento = acta.tdocumento;
		this.usuario = acta.usuario;
		this.observaciones = acta.observaciones;
		this.version = acta.version;
		this.validada = acta.validada;
		this.razonSocial = acta.razonSocial;
		this.domicilio = acta.domicilio;
		this.numImpug = acta.numImpug;
		this.agnoImpug = acta.agnoImpug;
		this.fechaImpug = acta.fechaImpug;
		this.delHombres1 = acta.delHombres1;
		this.delHombres2 = acta.delHombres2;
		this.delMujeres1 = acta.delMujeres1;
		this.delMujeres2 = acta.delMujeres2;
		this.delegacionAutomatica = acta.delegacionAutomatica;
		this.duplicada = acta.duplicada;
		this.codSelec = acta.codSelec;
		this.anyoReg = acta.anyoReg;
		this.codTerritorioActa = acta.codTerritorioActa;
		this.listaSindicatosExcel = acta.listaSindicatosExcel;
		this.actaparcial = acta.actaparcial;
		this.listaDocsBorrados = acta.listaDocsBorrados;
		this.listaDocsBorradosCompleto = acta.listaDocsBorradosCompleto;
	}
	
	

	/** The lista docs borrados. */
	private List listaDocsBorrados;
	/** The lista docs borrados con la descripcion para la incidencia. */
	private List listaDocsBorradosCompleto;

	public String getFecRegDefinitivo() {
		return fecRegDefinitivo;
	}

	public void setFecRegDefinitivo(String fecRegDefinitivo) {
		this.fecRegDefinitivo = fecRegDefinitivo;
	}

	public List getListaDocsBorradosCompleto() {
		return listaDocsBorradosCompleto;
	}

	public void setListaDocsBorradosCompleto(List listaDocsBorradosCompleto) {
		this.listaDocsBorradosCompleto = listaDocsBorradosCompleto;
	}

	/**
	 * @param listaDocs
	 */
	public void setListaDocs(List listaDocs) {
		this.listaDocs = listaDocs;
	}

	public String getTramiteTxt() {
		return tramiteTxt;
	}

	public void setTramiteTxt(String tramiteTxt) {
		this.tramiteTxt = tramiteTxt;
	}

	public String getFaseTxt() {
		return faseTxt;
	}

	public void setFaseTxt(String faseTxt) {
		this.faseTxt = faseTxt;
	}

	/**
	 * 
	 * El constructor de W83bAgrupacionesBean.
	 */
	public W83bActasBean() {
		super();
	}

	public String getNumActaTerritorioDesde() {
		return numActaTerritorioDesde;
	}

	public void setNumActaTerritorioDesde(String numActaTerritorioDesde) {
		this.numActaTerritorioDesde = numActaTerritorioDesde;
	}

	public String getNumActaAnyoDesde() {
		return numActaAnyoDesde;
	}

	public void setNumActaAnyoDesde(String numActaAnyoDesde) {
		this.numActaAnyoDesde = numActaAnyoDesde;
	}

	public String getNumActaNumeroDesde() {
		return numActaNumeroDesde;
	}

	public void setNumActaNumeroDesde(String numActaNumeroDesde) {
		this.numActaNumeroDesde = numActaNumeroDesde;
	}

	public String getNumActaTerritorioHasta() {
		return numActaTerritorioHasta;
	}

	public void setNumActaTerritorioHasta(String numActaTerritorioHasta) {
		this.numActaTerritorioHasta = numActaTerritorioHasta;
	}

	public String getNumActaAnyoHasta() {
		return numActaAnyoHasta;
	}

	public void setNumActaAnyoHasta(String numActaAnyoHasta) {
		this.numActaAnyoHasta = numActaAnyoHasta;
	}

	public String getNumActaNumeroHasta() {
		return numActaNumeroHasta;
	}

	public void setNumActaNumeroHasta(String numActaNumeroHasta) {
		this.numActaNumeroHasta = numActaNumeroHasta;
	}

	public String getNumRegTerritorioDesde() {
		return numRegTerritorioDesde;
	}

	public void setNumRegTerritorioDesde(String numRegTerritorioDesde) {
		this.numRegTerritorioDesde = numRegTerritorioDesde;
	}

	public String getNumRegAnyoDesde() {
		return numRegAnyoDesde;
	}

	public void setNumRegAnyoDesde(String numRegAnyoDesde) {
		this.numRegAnyoDesde = numRegAnyoDesde;
	}

	public String getNumRegNumeroDesde() {
		return numRegNumeroDesde;
	}

	public void setNumRegNumeroDesde(String numRegNumeroDesde) {
		this.numRegNumeroDesde = numRegNumeroDesde;
	}

	public String getNumRegTerritorioHasta() {
		return numRegTerritorioHasta;
	}

	public void setNumRegTerritorioHasta(String numRegTerritorioHasta) {
		this.numRegTerritorioHasta = numRegTerritorioHasta;
	}
	
	public String getNumRegAnyoHasta() {
		return numRegAnyoHasta;
	}

	public void setNumRegAnyoHasta(String numRegAnyoHasta) {
		this.numRegAnyoHasta = numRegAnyoHasta;
	}

	public String getNumRegNumeroHasta() {
		return numRegNumeroHasta;
	}

	public void setNumRegNumeroHasta(String numRegNumeroHasta) {
		this.numRegNumeroHasta = numRegNumeroHasta;
	}

	public String getSinRegDefinitivo() {
		return sinRegDefinitivo;
	}

	public void setSinRegDefinitivo(String sinRegDefinitivo) {
		this.sinRegDefinitivo = sinRegDefinitivo;
	}

	public W83bCentroTrabajoBean getCentroTrabajo() {
		return centroTrabajo;
	}
	
	public void setCentroTrabajo(W83bCentroTrabajoBean centroTrabajo) {
		this.centroTrabajo = centroTrabajo;
	}
	
	public String getNumPreaviso() {
		return numPreaviso;
	}
	
	public void setNumPreaviso(String numPreaviso) {
		this.numPreaviso = numPreaviso;
	}
	
	public String getTerritorioPreaviso() {
		return territorioPreaviso;
	}

	public void setTerritorioPreaviso(String territorioPreaviso) {
		this.territorioPreaviso = territorioPreaviso;
	}
	
	public String getAnyoPreaviso() {
		return anyoPreaviso;
	}

	public void setAnyoPreaviso(String anyoPreaviso) {
		this.anyoPreaviso = anyoPreaviso;
	}

	public String getFechaEntradaDel() {
		return fechaEntradaDel;
	}

	public void setFechaEntradaDel(String fechaEntradaDel) {
		this.fechaEntradaDel = fechaEntradaDel;
	}

	public String getFechaEntradaHasta() {
		return fechaEntradaHasta;
	}

	public void setFechaEntradaHasta(String fechaEntradaHasta) {
		this.fechaEntradaHasta = fechaEntradaHasta;
	}

	public String getFechaComisionDel() {
		return fechaComisionDel;
	}

	public void setFechaComisionDel(String fechaComisionDel) {
		this.fechaComisionDel = fechaComisionDel;
	}

	public String getFechaComisionHasta() {
		return fechaComisionHasta;
	}

	public void setFechaComisionHasta(String fechaComisionHasta) {
		this.fechaComisionHasta = fechaComisionHasta;
	}

	public String getSinFechaComision() {
		return sinFechaComision;
	}

	public void setSinFechaComision(String sinFechaComision) {
		this.sinFechaComision = sinFechaComision;
	}

	public String getFechaEleccionDel() {
		return fechaEleccionDel;
	}

	public void setFechaEleccionDel(String fechaEleccionDel) {
		this.fechaEleccionDel = fechaEleccionDel;
	}

	public String getFechaEleccionHasta() {
		return fechaEleccionHasta;
	}

	public void setFechaEleccionHasta(String fechaEleccionHasta) {
		this.fechaEleccionHasta = fechaEleccionHasta;
	}

	public String getNumTrabajadoresDesde() {
		return numTrabajadoresDesde;
	}

	public void setNumTrabajadoresDesde(String numTrabajadoresDesde) {
		this.numTrabajadoresDesde = numTrabajadoresDesde;
	}

	public String getNumTrabajadoresHasta() {
		return numTrabajadoresHasta;
	}

	public void setNumTrabajadoresHasta(String numTrabajadoresHasta) {
		this.numTrabajadoresHasta = numTrabajadoresHasta;
	}
	public String getMotivoBaja() {
		return motivoBaja;
	}

	public void setMotivoBaja(String motivoBaja) {
		this.motivoBaja = motivoBaja;
	}

	public String getInspecciones() {
		return inspecciones;
	}

	public void setInspecciones(String inspecciones) {
		this.inspecciones = inspecciones;
	}

	public String getTipoActa() {
		return tipoActa;
	}

	public void setTipoActa(String tipoActa) {
		this.tipoActa = tipoActa;
	}
	
	public String getTramite() {
		return tramite;
	}

	public void setTramite(String tramite) {
		this.tramite = tramite;
	}

	public String getUltTramite() {
		return ultTramite;
	}

	public void setUltTramite(String ultTramite) {
		this.ultTramite = ultTramite;
	}

	public String getFase() {
		return fase;
	}
	public void setFase(String fase) {
		this.fase = fase;
	}

	public String getNumRegistro() {
		return numRegistro;
	}

	public void setNumRegistro(String numRegistro) {
		this.numRegistro = numRegistro;
	}

	public String getNumTrabajadores() {
		return numTrabajadores;
	}

	public void setNumTrabajadores(String numTrabajadores) {
		this.numTrabajadores = numTrabajadores;
	}
	
	public String getBaja() {
		return baja;
	}

	public void setBaja(String baja) {
		this.baja = baja;
	}

	public String getFechaBajaDel() {
		return fechaBajaDel;
	}

	public void setFechaBajaDel(String fechaBajaDel) {
		this.fechaBajaDel = fechaBajaDel;
	}
	
	public String getFechaBajaHasta() {
		return fechaBajaHasta;
	}

	public void setFechaBajaHasta(String fechaBajaHasta) {
		this.fechaBajaHasta = fechaBajaHasta;
	}

	public String getFechaTramiteDel() {
		return fechaTramiteDel;
	}

	public void setFechaTramiteDel(String fechaTramiteDel) {
		this.fechaTramiteDel = fechaTramiteDel;
	}

	public String getFechaTramiteHasta() {
		return fechaTramiteHasta;
	}

	public void setFechaTramiteHasta(String fechaTramiteHasta) {
		this.fechaTramiteHasta = fechaTramiteHasta;
	}

	public String getMotivoBajaTxt() {
		return motivoBajaTxt;
	}

	public void setMotivoBajaTxt(String motivoBajaTxt) {
		this.motivoBajaTxt = motivoBajaTxt;
	}

	public String getConvenioTxt() {
		return convenioTxt;
	}

	public void setConvenioTxt(String convenioTxt) {
		this.convenioTxt = convenioTxt;
	}

	public String getNumActa() {
		return numActa;
	}

	public void setNumActa(String numActa) {
		this.numActa = numActa;
	}

	public String getNumActaTotal() {
		return numActaTotal;
	}
	public void setNumActaTotal(String numActaTotal) {
		this.numActaTotal = numActaTotal;
	}

	public String getConvenio() {
		return convenio;
	}

	public void setConvenio(String convenio) {
		this.convenio = convenio;
	}

	public String getCodConvenio() {
		return codConvenio;
	}

	public void setCodConvenio(String codConvenio) {
		this.codConvenio = codConvenio;
	}

	public String getCodCif() {
		return codCif;
	}

	public void setCodCif(String codCif) {
		this.codCif = codCif;
	}
	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getRegSocial() {
		return regSocial;
	}

	public void setRegSocial(String regSocial) {
		this.regSocial = regSocial;
	}

	public String getNumRegDefinitivo() {
		return numRegDefinitivo;
	}

	public void setNumRegDefinitivo(String numRegDefinitivo) {
		this.numRegDefinitivo = numRegDefinitivo;
	}

	public String getFechaRegistroDefinitivo() {
		return fechaRegistroDefinitivo;
	}

	public void setFechaRegistroDefinitivo(String fechaRegistroDefinitivo) {
		this.fechaRegistroDefinitivo = fechaRegistroDefinitivo;
	}

	public String getInspeccionada() {
		return inspeccionada;
	}

	public void setInspeccionada(String inspeccionada) {
		this.inspeccionada = inspeccionada;
	}

	public String getFechaRegistroES() {
		return fechaRegistroES;
	}

	public void setFechaRegistroES(String fechaRegistroES) {
		this.fechaRegistroES = fechaRegistroES;
	}

	public String getNumRegistroES() {
		return numRegistroES;
	}

	public void setNumRegistroES(String numRegistroES) {
		this.numRegistroES = numRegistroES;
	}

	public String getRemitente() {
		return remitente;
	}

	public void setRemitente(String remitente) {
		this.remitente = remitente;
	}

	public String getFechaEntrada() {
		return fechaEntrada;
	}

	public void setFechaEntrada(String fechaEntrada) {
		this.fechaEntrada = fechaEntrada;
	}

	public String getFechaEleccion() {
		return fechaEleccion;
	}

	public void setFechaEleccion(String fechaEleccion) {
		this.fechaEleccion = fechaEleccion;
	}

	public String getFechaComision() {
		return fechaComision;
	}

	public void setFechaComision(String fechaComision) {
		this.fechaComision = fechaComision;
	}

	public String getFechaSubsanacionRequermiento() {
		return fechaSubsanacionRequermiento;
	}

	public void setFechaSubsanacionRequermiento(String fechaSubsanacionRequermiento) {
		this.fechaSubsanacionRequermiento = fechaSubsanacionRequermiento;
	}

	public String getFechaRetiradaComunicacion() {
		return fechaRetiradaComunicacion;
	}

	public void setFechaRetiradaComunicacion(String fechaRetiradaComunicacion) {
		this.fechaRetiradaComunicacion = fechaRetiradaComunicacion;
	}

	public String getFprri() {
		return fprri;
	}

	public void setFprri(String fprri) {
		this.fprri = fprri;
	}

	public String getComision() {
		return comision;
	}

	public void setComision(String comision) {
		this.comision = comision;
	}

	public W83bDatosEscrutiniosBean getDatosEscrutinio() {
		return datosEscrutinio;
	}

	public void setDatosEscrutinio(W83bDatosEscrutiniosBean datosEscrutinio) {
		this.datosEscrutinio = datosEscrutinio;
	}

	public W83bDatosDiferenciasBean getDatosDiferencia() {
		return datosDiferencia;
	}

	public void setDatosDiferencia(W83bDatosDiferenciasBean datosDiferencia) {
		this.datosDiferencia = datosDiferencia;
	}
	
	public HashMap getListaDelegados() {
		return listaDelegados;
	}

	public void setListaDelegados(HashMap listaDelegados) {
		this.listaDelegados = listaDelegados;
	}

	public String getTrabajadoresHombres() {
		return trabajadoresHombres;
	}

	public void setTrabajadoresHombres(String trabajadoresHombres) {
		this.trabajadoresHombres = trabajadoresHombres;
	}

	public String getTrabajadoresMujeres() {
		return trabajadoresMujeres;
	}

	public void setTrabajadoresMujeres(String trabajadoresMujeres) {
		this.trabajadoresMujeres = trabajadoresMujeres;
	}

	public String getTrabajadoresTotal() {
		return trabajadoresTotal;
	}

	public void setTrabajadoresTotal(String trabajadoresTotal) {
		this.trabajadoresTotal = trabajadoresTotal;
	}

	public String getElectoresHombres() {
		return electoresHombres;
	}

	public void setElectoresHombres(String electoresHombres) {
		this.electoresHombres = electoresHombres;
	}

	public String getElectoresMujeres() {
		return electoresMujeres;
	}

	public void setElectoresMujeres(String electoresMujeres) {
		this.electoresMujeres = electoresMujeres;
	}

	public String getElectoresTotal() {
		return electoresTotal;
	}

	public void setElectoresTotal(String electoresTotal) {
		this.electoresTotal = electoresTotal;
	}

	public String getDelegadosColegio() {
		return delegadosColegio;
	}
	public void setDelegadosColegio(String delegadosColegio) {
		this.delegadosColegio = delegadosColegio;
	}

	public String getDelegadosTotal() {
		return delegadosTotal;
	}

	public void setDelegadosTotal(String delegadosTotal) {
		this.delegadosTotal = delegadosTotal;
	}

	public String getDelegadosMaximo() {
		return delegadosMaximo;
	}

	public void setDelegadosMaximo(String delegadosMaximo) {
		this.delegadosMaximo = delegadosMaximo;
	}

	public String getCandidatosHombres() {
		return candidatosHombres;
	}

	public void setCandidatosHombres(String candidatosHombres) {
		this.candidatosHombres = candidatosHombres;
	}

	public String getCandidatosMujeres() {
		return candidatosMujeres;
	}

	public void setCandidatosMujeres(String candidatosMujeres) {
		this.candidatosMujeres = candidatosMujeres;
	}


	public String getCandidatosTotal() {
		return candidatosTotal;
	}

	public void setCandidatosTotal(String candidatosTotal) {
		this.candidatosTotal = candidatosTotal;
	}

	public String getNumElectoresDesde() {
		return numElectoresDesde;
	}

	public void setNumElectoresDesde(String numElectoresDesde) {
		this.numElectoresDesde = numElectoresDesde;
	}

	public String getNumElectoresHasta() {
		return numElectoresHasta;
	}

	public void setNumElectoresHasta(String numElectoresHasta) {
		this.numElectoresHasta = numElectoresHasta;
	}
	public List getListaSindicatosExcel() {
		return listaSindicatosExcel;
	}

	public void setListaSindicatosExcel(List listaSindicatosExcel) {
		this.listaSindicatosExcel = listaSindicatosExcel;
	}	

	public String getTotalDelegadosDelegadoH() {
		return totalDelegadosDelegadoH;
	}

	public void setTotalDelegadosDelegadoH(String totalDelegadosDelegadoH) {
		this.totalDelegadosDelegadoH = totalDelegadosDelegadoH;
	}

	public String getTotalDelegadosDelegadoM() {
		return totalDelegadosDelegadoM;
	}

	public void setTotalDelegadosDelegadoM(String totalDelegadosDelegadoM) {
		this.totalDelegadosDelegadoM = totalDelegadosDelegadoM;
	}

	public boolean isNullBusq() {
		if(null == this.numActaTerritorioDesde &&
			null == numActaAnyoDesde&&
			null == numActaNumeroDesde&&
			null == numActaTerritorioHasta&&
			null == numActaAnyoHasta&&
			null == numActaNumeroHasta&&
			null == numRegTerritorioDesde&&
			null == numRegAnyoDesde&&
			null == numRegNumeroDesde&&
			null == numRegTerritorioHasta&&
			null == numRegAnyoHasta&&
			null == numRegNumeroHasta&&
			null == sinRegDefinitivo&&
			null == numPreaviso&&
			null == territorioPreaviso&&
			null == anyoPreaviso&&
			null == fechaEntradaDel&&
			null == fechaEntradaHasta&&
			null == fechaComisionDel&&
			null == fechaComisionHasta&&
			null == sinFechaComision&&
			null == fechaEleccionDel&&
			null == fechaEleccionHasta&&
			null == fechaBajaDel&&
			null == fechaBajaHasta&&
			null == motivoBaja&&
			null == convenio&&
			null == inspecciones&&
			null == tipoActa&&
			null == tramite&&
			null == ultTramite&&
			null == fase&&
			null == centroTrabajo.getCifnif()&&
			null == centroTrabajo.getRazonSocial()&&
			null == centroTrabajo.getCodMunicipio()&&
			null == centroTrabajo.getCodTerritorio()&&
			null == fechaTramiteDel&&
			null == fechaTramiteHasta){
			return true;
		}
		return false;
	}


	public String getNumActaTerritorio() {
		return numActaTerritorio;
	}

	public void setNumActaTerritorio(String numActaTerritorio) {
		this.numActaTerritorio = numActaTerritorio;
	}

	public String getNumActaAno() {
		return numActaAno;
	}


	public void setNumActaAno(String numActaAno) {
		this.numActaAno = numActaAno;
	}

	public String getDelegadosHombres() {
		return delegadosHombres;
	}

	public void setDelegadosHombres(String delegadosHombres) {
		this.delegadosHombres = delegadosHombres;
	}

	public String getDelegadosMujeres() {
		return delegadosMujeres;
	}

	public void setDelegadosMujeres(String delegadosMujeres) {
		this.delegadosMujeres = delegadosMujeres;
	}

	public String getTdocumento() {
		return tdocumento;
	}

	public void setTdocumento(String tdocumento) {
		this.tdocumento = tdocumento;
	}

	public String getFecha_registroAdjunto() {
		return fecha_registroAdjunto;
	}

	public void setFecha_registroAdjunto(String fecha_registroAdjunto) {
		this.fecha_registroAdjunto = fecha_registroAdjunto;
	}

	public String getUsuario() {
		return usuario;
	}

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	public W83bColegiosBean getColegios() {
		return colegios;
	}
	public void setColegios(W83bColegiosBean colegios) {
		this.colegios = colegios;
	}

	public String getFechaBaja() {
		return fechaBaja;
	}

	public void setFechaBaja(String fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	public String getFechaRequerimiento() {
		return fechaRequerimiento;
	}

	public void setFechaRequerimiento(String fechaRequerimiento) {
		this.fechaRequerimiento = fechaRequerimiento;
	}

	public String getObservaciones() {
		return observaciones;
	}

	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	public String getAnyoActaTotal() {
		return anyoActaTotal;
	}

	public void setAnyoActaTotal(String anyoActaTotal) {
		this.anyoActaTotal = anyoActaTotal;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getValidada() {
		return validada;
	}

	public void setValidada(String validada) {
		this.validada = validada;
	}

	public String getNumRegAnyo() {
		return numRegAnyo;
	}

	public void setNumRegAnyo(String numRegAnyo) {
		this.numRegAnyo = numRegAnyo;
	}

	public String getCodCentroTrabajo() {
		return codCentroTrabajo;
	}

	public void setCodCentroTrabajo(String codCentroTrabajo) {
		this.codCentroTrabajo = codCentroTrabajo;
	}

	public String getTerritorioActaTotal() {
		return territorioActaTotal;
	}

	public void setTerritorioActaTotal(String territorioActaTotal) {
		this.territorioActaTotal = territorioActaTotal;
	}

	public String getDelHombres1() {
		return delHombres1;
	}

	public void setDelHombres1(String delHombres1) {
		this.delHombres1 = delHombres1;
	}

	public String getDelHombres2() {
		return delHombres2;
	}

	public void setDelHombres2(String delHombres2) {
		this.delHombres2 = delHombres2;
	}

	public String getDelMujeres1() {
		return delMujeres1;
	}

	public void setDelMujeres1(String delMujeres1) {
		this.delMujeres1 = delMujeres1;
	}

	public String getDelMujeres2() {
		return delMujeres2;
	}
	
	public List getDelegadosEscrDif() {
		return delegadosEscrDif;
	}

	public void setDelegadosEscrDif(List delegadosEscrDif) {
		this.delegadosEscrDif = delegadosEscrDif;
	}

	public void setDelMujeres2(String delMujeres2) {
		this.delMujeres2 = delMujeres2;
	}


	public List getListaActasParciales() {
		return listaActasParciales;
	}

	public void setListaActasParciales(List listaActasParciales) {
		this.listaActasParciales = listaActasParciales;
	}

	public List getListaImpugnaciones() {
		return listaImpugnaciones;
	}

	public void setListaImpugnaciones(List listaImpugnaciones) {
		this.listaImpugnaciones = listaImpugnaciones;
	}

	public List getListaHistorial() {
		return listaHistorial;
	}

	public void setListaHistorial(List listaHistorial) {
		this.listaHistorial = listaHistorial;
	}

	public List getListaTramitacion() {
		return listaTramitacion;
	}

	public void setListaTramitacion(List listaTramitacion) {
		this.listaTramitacion = listaTramitacion;
	}

	public String getPestana() {
		return pestana;
	}

	public void setPestana(String pestana) {
		this.pestana = pestana;
	}

	public List getListaIncidencias() {
		return listaIncidencias;
	}

	public void setListaIncidencias(List listaIncidencias) {
		this.listaIncidencias = listaIncidencias;
	}

	public String getDelegacionAutomatica() {
		return delegacionAutomatica;
	}

	public void setDelegacionAutomatica(String delegacionAutomatica) {
		this.delegacionAutomatica = delegacionAutomatica;
	}

	public String getDuplicada() {
		return duplicada;
	}

	public void setDuplicada(String duplicada) {
		this.duplicada = duplicada;
	}

	public String getCodSelec() {
		return codSelec;
	}

	public void setCodSelec(String codSelec) {
		this.codSelec = codSelec;
	}
	public List getListaDocsBorrados() {
		if (this.listaDocsBorrados==null){
			this.listaDocsBorrados=new ArrayList();
		}
		return listaDocsBorrados;
	}
	/**
	 * Sets the lista docs borrados.
	 * 
	 * @param listaDocsBorrados the new lista docs borrados
	 */
	public void setListaDocsBorrados(List listaDocsBorrados) {
		this.listaDocsBorrados = listaDocsBorrados;
	}

	/* (non-Javadoc)
	 * @see w83b.w83bBeans.W83bBaseBeanBD#rowToBean(java.lang.Object, java.lang.Object)
	 */
	public HashMap getListaSindicatos() {
		return listaSindicatos;
	}

	public void setListaSindicatos(HashMap listaSindicatos) {
		this.listaSindicatos = listaSindicatos;
	}

	public void setFechaImpug(String fechaImpug) {
		this.fechaImpug = fechaImpug;
	}

	public String getFechaImpug() {
		return fechaImpug;
	}

	public void setNumImpug(String numImpug) {
		this.numImpug = numImpug;
	}

	public String getNumImpug() {
		return numImpug;
	}
	
	public String getRazonSocial() {
		return razonSocial;
	}

	public void setRazonSocial(String razonSocial) {
		this.razonSocial = razonSocial;
	}

	public String getDomicilio() {
		return domicilio;
	}

	public void setDomicilio(String domicilio) {
		this.domicilio = domicilio;
	}

	public void setAgnoImpug(String agnoImpug) {
		this.agnoImpug = agnoImpug;
	}

	public String getAgnoImpug() {
		return agnoImpug;
	}


	public HashMap getListaEscrutinios() {
		return listaEscrutinios;
	}

	public void setListaEscrutinios(HashMap listaEscrutinios) {
		this.listaEscrutinios = listaEscrutinios;
	}

	public HashMap getListaDiferencias() {
		return listaDiferencias;
	}

	public void setListaDiferencias(HashMap listaDiferencias) {
		this.listaDiferencias = listaDiferencias;
	}

	public String getActaparcial() {
		return actaparcial;
	}

	public void setActaparcial(String actaparcial) {
		this.actaparcial = actaparcial;
	}

	public Object clone()throws CloneNotSupportedException{
				
		W83bActasBean acta = (W83bActasBean)super.clone();

		acta.setNumActa(this.numActa);
		acta.setVersion(this.version);
		acta.setNumActaAno(this.numActaAno);
		acta.setNumActaTerritorio(this.numActaTerritorio);
		acta.setNumPreaviso(this.numPreaviso);
		acta.setAnyoPreaviso(this.anyoPreaviso);
		acta.setTerritorioPreaviso(this.territorioPreaviso);
		acta.setCodConvenio(this.codConvenio);
		acta.setConvenioTxt(this.convenioTxt);
		acta.setCodCentroTrabajo(this.codCentroTrabajo);
		acta.setMotivoBaja(this.motivoBaja);
		acta.setBaja(this.baja);
		acta.setFechaEntrada(this.fechaEntrada);
		acta.setFechaEleccion(this.fechaEleccion);
		
		acta.setAnyoActaTotal(this.anyoActaTotal);
		acta.setNumActaTotal(this.numActaTotal);
		acta.setTerritorioActaTotal(this.territorioActaTotal);
		acta.setNumRegistroES(this.numRegistroES);
		acta.setFechaRegistroES(this.fechaRegistroES);
		acta.setNumRegAnyo(this.numRegAnyo);
		acta.setNumRegDefinitivo(this.numRegDefinitivo);
		acta.setFechaRegistroDefinitivo(this.fechaRegistroDefinitivo);
		acta.setFechaComision(this.fechaComision);
		acta.setFechaRequerimiento(this.fechaRequerimiento);
		acta.setFechaSubsanacionRequermiento(this.fechaSubsanacionRequermiento);
		acta.setFechaRetiradaComunicacion(this.fechaRetiradaComunicacion);
		acta.setFprri(this.fprri);
		acta.setFechaBaja(this.fechaBaja);
		acta.setElectoresHombres(this.electoresHombres);
		acta.setElectoresMujeres(this.electoresMujeres);
		acta.setElectoresTotal(this.electoresTotal);
		acta.setObservaciones(this.observaciones);
		acta.setUsuario(this.usuario);
		acta.setInspeccionada(this.inspeccionada);
		acta.setUsuario(this.usuario);
		acta.setDelegadosHombres(this.delegadosHombres);
		acta.setDelegadosMujeres(this.delegadosMujeres);
		acta.setDelegadosTotal(this.delegadosTotal);
		acta.getDatosEscrutinio().setDelegadosTotalColegioC1(this.getDatosEscrutinio().getDelegadosTotalColegioC1());
		acta.getDatosEscrutinio().setDelegadosTotalColegioC2(this.getDatosEscrutinio().getDelegadosTotalColegioC2());
		acta.getDatosEscrutinio().setDelegadosTotal(this.getDatosEscrutinio().getDelegadosTotal());
		//de escrutinio
		acta.getDatosDiferencia().setDelegadosTotalColegioC1(this.getDatosDiferencia().getDelegadosTotalColegioC1());
		acta.getDatosDiferencia().setDelegadosTotalColegioC2(this.getDatosDiferencia().getDelegadosTotalColegioC2());
		acta.getDatosDiferencia().setDelegadosTotal(this.getDatosDiferencia().getDelegadosTotal());
					
		acta.setCandidatosHombres(this.candidatosHombres);
		acta.setCandidatosMujeres(this.candidatosMujeres);
		acta.setCandidatosTotal(this.candidatosTotal);
		acta.setDelegadosMaximo(this.delegadosMaximo);
		acta.getCentroTrabajo().setCifnif(this.centroTrabajo.getCifnif());
		acta.getCentroTrabajo().setNumCentro(this.centroTrabajo.getNumCentro());
		acta.getCentroTrabajo().setMunicipio(this.getCentroTrabajo().getMunicipio());
		acta.getCentroTrabajo().setProvincia(this.getCentroTrabajo().getProvincia());
		acta.getCentroTrabajo().setRazonSocial(this.getCentroTrabajo().getRazonSocial());
		acta.getCentroTrabajo().setCodPostal(this.getCentroTrabajo().getCodPostal());
		acta.getCentroTrabajo().setDomicilio(this.getCentroTrabajo().getDomicilio());
		acta.getCentroTrabajo().setLocalidad(this.getCentroTrabajo().getLocalidad());
		acta.getCentroTrabajo().setIdMunicipio(this.getCentroTrabajo().getIdMunicipio());
		acta.getCentroTrabajo().setIdProvincia(this.getCentroTrabajo().getIdProvincia());
			
		
		return acta;
	}

	public void setIdColegio(String idColegio) {
		this.idColegio = idColegio;
	}

	public String getIdColegio() {
		return idColegio;
	}

	public void setIdSindicato(String idSindicato) {
		this.idSindicato = idSindicato;
	}

	public String getIdSindicato() {
		return idSindicato;
	}

	public String getTotalDelegadosDelegado() {
		return totalDelegadosDelegado;
	}

	public void setTotalDelegadosDelegado(String totalDelegadosDelegado) {
		this.totalDelegadosDelegado = totalDelegadosDelegado;
	}

	public String getAnyoReg() {
		return anyoReg;
	}

	public void setAnyoReg(String anyoReg) {
		this.anyoReg = anyoReg;
	}
	
	
	public String getCodTerritorioActa() {
		return codTerritorioActa;
	}

	public void setCodTerritorioActa(String codTerritorioActa) {
		this.codTerritorioActa = codTerritorioActa;
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD
		if(otrosValores!=null&&((String)otrosValores).equals("DETALLE")){
			this.numActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.numActa);
			this.version = W83bDataBase.getStringFromRS(rs, W83bActasBD.versionActa);
			this.numActaAno = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoActa);
			this.numActaTerritorio = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.numPreaviso = W83bDataBase.getStringFromRS(rs, W83bActasBD.numPreaviso);
			this.anyoPreaviso = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoPreaviso);
			this.territorioPreaviso = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.codConvenio = W83bDataBase.getStringFromRS(rs, W83bActasBD.codConvenio);
			this.convenioTxt = W83bDataBase.getStringFromRS(rs, "DESC_CONVENIO");
			this.codCentroTrabajo = W83bDataBase.getStringFromRS(rs, W83bActasBD.codCentro);
			this.motivoBaja = W83bDataBase.getStringFromRS(rs, W83bActasBD.codMotivosBaja);
			this.motivoBajaTxt = W83bDataBase.getStringFromRS(rs, "DESC_BAJA");
			if(StringUtils.isNotEmpty(this.motivoBaja)
					&&this.motivoBaja.length()==1){
				this.motivoBaja = "0".concat(this.motivoBaja);
			}
			if(StringUtils.isNotEmpty(this.motivoBaja)){
				this.baja=W83bClsConstantes.BAJA;
			}
			else{
				this.baja=W83bClsConstantes.ALTA;
			}
			this.fechaEntrada = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaEntrada);
			this.fechaEleccion = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaEleccion);
			this.anyoActaTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoTotalActa);
			this.numActaTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.numTotalActa);
			this.territorioActaTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.numRegistroES = W83bDataBase.getStringFromRS(rs, W83bActasBD.numRegistro);
			this.fechaRegistroES = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaRegistro);
			this.numRegAnyo = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoRegDefinitivo);
			String numRegistro = W83bDataBase.getStringFromRS(rs, W83bActasBD.numRegDefinitivo);
			if(StringUtils.isNotEmpty(numRegistro)&&numRegistro.length()>8){
				this.numRegDefinitivo = numRegistro;
			}
			this.fechaRegistroDefinitivo = W83bDataBase.getStringFromRS(rs, W83bActasBD.fecRegDefinitivo);
			this.fechaComision = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaComision);
			this.fechaRequerimiento = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaRequerimiento);
			this.fechaSubsanacionRequermiento = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaSubsanacionReq);
			this.fechaRetiradaComunicacion = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaRetiradaComision);
			this.fprri = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaPresentacionRegRegInterno);
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaBaja))){
				this.fechaBaja = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaBaja);
			}
			else{
				this.fechaBaja = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaBaja);
			}
			this.electoresHombres = W83bDataBase.getStringFromRS(rs, W83bActasBD.nElectoresHombre);
			this.electoresMujeres = W83bDataBase.getStringFromRS(rs, W83bActasBD.nElectoresMujer);
			this.electoresTotal =  W83bDataBase.getStringFromRS(rs, W83bActasBD.totalElectores);
			this.observaciones = W83bDataBase.getStringFromRS(rs, W83bActasBD.observaciones);
			this.usuario = W83bDataBase.getStringFromRS(rs, W83bActasBD.usuarioActualizacion);
			this.inspeccionada = W83bDataBase.getStringFromRS(rs, W83bActasBD.inspeccionada);
			this.usuario = W83bDataBase.getStringFromRS(rs, W83bActasBD.usuarioActualizacion);
			this.delegadosHombres=W83bDataBase.getStringFromRS(rs, "DELEGADOSH");
			this.delegadosMujeres=W83bDataBase.getStringFromRS(rs, "DELEGADOSM");
			this.delegadosTotal=W83bDataBase.getStringFromRS(rs, "DELEGADOS");
			int escrHombres0=0;
			int escrMujeres0=0;
			int escrHombres1=0;
			int escrMujeres1=0;
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "ESCRHOMBRES0"))){
				escrHombres0=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "ESCRHOMBRES0"));
			}
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "ESCRMUJERES0"))){
				escrMujeres0=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "ESCRMUJERES0"));
			}
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "ESCRHOMBRES1"))){
				escrHombres1=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "ESCRHOMBRES1"));
			}
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "ESCRMUJERES1"))){
				escrMujeres1=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "ESCRMUJERES1"));
			}
			this.getDatosEscrutinio().setDelegadosTotalColegioC1(String.valueOf(escrHombres0+escrMujeres0));
			this.getDatosEscrutinio().setDelegadosTotalColegioC2(String.valueOf(escrHombres1+escrMujeres1));
			this.getDatosEscrutinio().setDelegadosTotal(String.valueOf(escrHombres0+escrMujeres0+escrHombres1+escrMujeres1));
			//de escrutinio
			this.delHombres1=String.valueOf(escrHombres0);
			this.delMujeres1=String.valueOf(escrMujeres0);
			this.delHombres2=String.valueOf(escrHombres1);
			this.delMujeres2=String.valueOf(escrMujeres1);
			
			int difHombres0=0;
			int difMujeres0=0;
			int difHombres1=0;
			int difMujeres1=0;
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "DIFHOMBRES0"))){
				difHombres0=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "DIFHOMBRES0"));
			}
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "DIFMUJERES0"))){
				difMujeres0=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "DIFMUJERES0"));
			}
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "DIFHOMBRES1"))){
				difHombres1=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "DIFHOMBRES1"));
			}
			if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, "DIFMUJERES1"))){
				difMujeres1=Integer.parseInt(W83bDataBase.getStringFromRS(rs, "DIFMUJERES1"));
			}
			this.getDatosDiferencia().setDelegadosTotalColegioC1(String.valueOf(difHombres0+difMujeres0));
			this.getDatosDiferencia().setDelegadosTotalColegioC2(String.valueOf(difHombres1+difMujeres1));
			this.getDatosDiferencia().setDelegadosTotal(String.valueOf(difHombres0+difMujeres0+difHombres1+difMujeres1));
					
			
			this.remitente=W83bDataBase.getStringFromRS(rs, W83bActasBD.REMITE_016);
			this.candidatosHombres=W83bDataBase.getStringFromRS(rs, W83bActasBD.nCandidatosHombre);
			this.candidatosMujeres=W83bDataBase.getStringFromRS(rs, W83bActasBD.nCandidatosMujer);
			this.candidatosTotal=W83bDataBase.getStringFromRS(rs, W83bActasBD.totalCandidatos);
			this.centroTrabajo.setCifnif(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.codNifCif));
			this.centroTrabajo.setNumCentro(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.ncentroTrab));
			this.delegadosMaximo=W83bDataBase.getStringFromRS(rs, W83bActasBD.maxDel);
			this.getCentroTrabajo().setMunicipio(W83bDataBase.getStringFromRS(rs, "MUNICIPIO"));
			this.getCentroTrabajo().setProvincia(W83bDataBase.getStringFromRS(rs, "PROVINCIA"));
			this.getCentroTrabajo().setRazonSocial(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.razonSocial).toUpperCase());
			this.getCentroTrabajo().setCodPostal(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.codPostalCentro));
			this.getCentroTrabajo().setDomicilio(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.domicilioCentro));
			this.getCentroTrabajo().setLocalidad(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.localidadCentro));
			this.getCentroTrabajo().setIdMunicipio(W83bDataBase.getStringFromRS(rs, "MUN_001"));
			this.getCentroTrabajo().setIdProvincia(W83bDataBase.getStringFromRS(rs, "PROVC_001"));
			
			
		}
		else if(otrosValores!=null&&((String)otrosValores).equals("EXCEL")){
			W83bDataBase.getStringFromRS(rs, "DELH");
		}
		else if(otrosValores!=null&&((String)otrosValores).equals("CONSULTAIMPG")){
			this.numActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.numActa);
			this.anyoActaTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoActa);
			this.territorioActaTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.fechaEntrada = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaEntrada);
			this.version = W83bDataBase.getStringFromRS(rs, W83bActasBD.versionActa);
			this.observaciones = W83bDataBase.getStringFromRS(rs, W83bActasBD.observaciones);
			this.razonSocial = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoVistaBD.razonsocial);
			this.domicilio = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoVistaBD.domicilio);
			this.numImpug = W83bDataBase.getStringFromRS(rs, W83bImpugnacionesBD.n_impug);
			this.agnoImpug = W83bDataBase.getStringFromRS(rs, W83bImpugnacionesBD.ano_impug);
			this.fechaImpug = W83bDataBase.getStringFromRS(rs, W83bImpugnacionesBD.f_impug);
			this.fechaBaja = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaBaja);
			
		}
		else if(otrosValores!=null&&((String)otrosValores).equals("RESULTADOSPORSEXO")){
			this.numActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.numActa);
			this.anyoActaTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoActa);
			this.territorioActaTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.numActaTerritorioDesde = W83bDataBase.getStringFromRS(rs, W83bResultadosBD.dso);
			this.version = W83bDataBase.getStringFromRS(rs, W83bActasBD.versionActa);
			this.fechaEleccion = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaEleccion);
			this.fechaRegistroDefinitivo = W83bDataBase.getStringFromRS(rs, W83bActasBD.fecRegDefinitivo);
			this.electoresHombres = W83bDataBase.getStringFromRS(rs, W83bActasBD.nElectoresHombre);
			this.electoresMujeres = W83bDataBase.getStringFromRS(rs, W83bActasBD.nElectoresMujer);
			this.electoresTotal = W83bDataBase.getStringFromRS(rs, W83bActasBD.totalElectores);
			this.candidatosHombres = W83bDataBase.getStringFromRS(rs, W83bActasBD.nCandidatosHombre);
			this.candidatosMujeres = W83bDataBase.getStringFromRS(rs, W83bActasBD.nCandidatosMujer);
			this.idColegio = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.codigoColegio);
			this.idSindicato = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.codSind);
			this.delegadosHombres = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.delegadosHombres);
			this.delegadosMujeres = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.delegadosMujeres);
		}else if(otrosValores!=null&&((String)otrosValores).equals("deshacerCierre")){
			this.numActa = W83bDataBase.getStringFromRS(rs, W83bActasBD.numActa);
			this.numActaAno = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoActa);
			this.numActaTerritorio = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.version = W83bDataBase.getStringFromRS(rs, W83bActasBD.versionActa);
			this.nueva = W83bDataBase.getStringFromRS(rs, W83bActasBD.nueva);
		}
		else{
			// TODO Auto-generated method stub
		this.version = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.versionacta);
		this.numActa = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.NACTA);
		this.numRegistro = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.NREGISTRO);
		this.numPreaviso = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.NPREAVISO);
		this.centroTrabajo.setRazonSocial(W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.RAZONSOCIAL));
		this.centroTrabajo.setCifnif(W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.CIF));
		this.centroTrabajo.setNumCentro(W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.NCENTROTRABAJO));
		this.centroTrabajo.setMunicipio(W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.MUNICIPIO));
		
		this.centroTrabajo.setCodMunicipio(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.codMunicipioCentro));
		this.centroTrabajo.setCodTerritorio(W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoBD.codProvinciaCentro));
		
		this.fechaEleccion = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.FELECCION+"COLUMN");//NOPMD			
		if(StringUtils.isEmpty(this.fechaEleccion)){
			this.fechaEleccion = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.FELECCION);
		}
		this.fechaComision = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.FCOMISION);
		this.electoresTotal = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.NELECTORES);
		this.numRegDefinitivo = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.codReg);
		this.anyoReg = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.anyoReg);
		this.codTerritorioActa = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.codTerritorioActa);
		this.fecRegDefinitivo = W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.fecRegDef);
		if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, W83bActasVistaBD.BAJA))){
			this.baja = Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.herramientas.si",(String)otrosValores).toUpperCase();
		}else{
			this.baja = Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.herramientas.no",(String)otrosValores).toUpperCase();			
		}
	
		}
		return this;
	}

}
